> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Avalanche: Priority Fees

> An additional transaction fee to incentivize validators to prioritize and execute transactions

## Overview

* **Denomination:** USD
* **Type:** USD Value
* **Interval:** Daily
* **Source:** Blockworks

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -H "x-api-key: YOUR_API_KEY" \
    "https://api.blockworks.com/v1/metrics/transaction-priority-fee-total-usd?project=avalanche"
  ```

  ```typescript TypeScript theme={null}
  const res = await fetch(
    'https://api.blockworks.com/v1/metrics/transaction-priority-fee-total-usd?project=avalanche',
    { headers: { 'x-api-key': 'YOUR_API_KEY' } }
  )
  const data = await res.json()
  ```

  ```python Python theme={null}
  import requests

  r = requests.get(
    'https://api.blockworks.com/v1/metrics/transaction-priority-fee-total-usd',
    headers={'x-api-key': 'YOUR_API_KEY'},
    params={'project': 'avalanche'}
  )
  data = r.json()
  ```
</CodeGroup>

## Example Response

```json theme={null}
{
  "avalanche": [
    {
      "date": "2026-04-19",
      "value": 0
    },
    {
      "date": "2026-04-18",
      "value": 3610.7180502035235
    },
    {
      "date": "2026-04-17",
      "value": 5914.342599707867
    },
    {
      "date": "2026-04-16",
      "value": 7531.493032870614
    },
    {
      "date": "2026-04-15",
      "value": 4616.279029838359
    }
  ]
}
```

## Notes

* Intervals are daily unless otherwise noted.
* Data is updated daily and may be revised after late-arriving data.


## OpenAPI

````yaml GET /v1/metrics/transaction-priority-fee-total-usd
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/metrics/transaction-priority-fee-total-usd:
    get:
      summary: Transaction Priority Fee Total Usd
      description: >-
        Retrieve the 'transaction-priority-fee-total-usd' metric for supported
        projects.
      operationId: MetricController_getResults_v1_transaction_priority_fee_total_usd
      parameters:
        - name: project
          in: query
          required: true
          description: Project slug (comma-separated for multiple).
          schema:
            type: string
            enum:
              - arbitrum
              - avalanche
              - base
              - berachain
              - bob
              - boba
              - ethereum
              - fogo
              - hyperliquid
              - ink
              - katana
              - megaeth
              - mode
              - monad
              - plasma
              - polygon
              - shape
              - solana
              - superseed
              - worldchain
              - zora
            example: arbitrum
          examples:
            arbitrum:
              value: arbitrum
              summary: Arbitrum
            avalanche:
              value: avalanche
              summary: Avalanche
            base:
              value: base
              summary: Base
            berachain:
              value: berachain
              summary: Berachain
            bob:
              value: bob
              summary: Bob
            boba:
              value: boba
              summary: Boba
            ethereum:
              value: ethereum
              summary: Ethereum
            fogo:
              value: fogo
              summary: Fogo
            hyperliquid:
              value: hyperliquid
              summary: Hyperliquid
            ink:
              value: ink
              summary: Ink
            katana:
              value: katana
              summary: Katana
            megaeth:
              value: megaeth
              summary: Megaeth
            mode:
              value: mode
              summary: Mode
            monad:
              value: monad
              summary: Monad
            plasma:
              value: plasma
              summary: Plasma
            polygon:
              value: polygon
              summary: Polygon
            shape:
              value: shape
              summary: Shape
            solana:
              value: solana
              summary: Solana
            superseed:
              value: superseed
              summary: Superseed
            worldchain:
              value: worldchain
              summary: Worldchain
            zora:
              value: zora
              summary: Zora
            multi:
              value: arbitrum,avalanche
              summary: Arbitrum + Avalanche
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: Start date (YYYY-MM-DD)
        - name: end_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: End date (YYYY-MM-DD)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
              example:
                projectName:
                  - date: '2025-08-10'
                    value: 123456.789
                  - date: '2025-08-11'
                    value: 234567.89
                  - date: '2025-08-12'
                    value: 345678.901
        '400':
          description: Bad Request
        '404':
          description: Not Found
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````